OracleVM 3.1 : xen (OVMSA-2013-0041)

This script is Copyright (C) 2014-2017 Tenable Network Security, Inc.


Synopsis :

The remote OracleVM host is missing one or more security updates.

Description :

The remote OracleVM system is missing necessary patches to address
critical security updates :

- libxc: limit cpu values when setting vcpu affinity When
support for pinning more than 64 cpus was added, check
for cpu out-of-range values was removed. This can lead
to subsequent out-of-bounds cpumap array accesses in
case the cpu number is higher than the actual count.
This patch returns the check. This is CVE-2013-2072 /
XSA-56 (CVE-2013-2072)

See also :

https://oss.oracle.com/pipermail/oraclevm-errata/2013-May/000152.html

Solution :

Update the affected xen / xen-devel / xen-tools packages.

Risk factor :

High / CVSS Base Score : 7.4
(CVSS2#AV:A/AC:M/Au:S/C:C/I:C/A:C)
CVSS Temporal Score : 6.4
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false

Family: OracleVM Local Security Checks

Nessus Plugin ID: 79509 ()

Bugtraq ID: 59982

CVE ID: CVE-2013-2072

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now